<template>
    <div class="news-items">
        <div class="item-card">
            <div class="img-item-card">
                <img v-if="article.urlToImage" :src="article.urlToImage" :alt="article.title"/>
                <img v-else src="../../assets/no-image.png" alt="Avatar" />
            </div>
            <div class="card-container">
                <h4 @click="showNewsDetails" class="card-title">{{article.title}}</h4> 
                <p class="card-author">{{ article.author }}</p>
                <p class="card-description">{{article.description}}</p> 
                <button class="card-visit secondary-btn" @click="visitSite(article.url)">Visit Site</button>
                <div class="card-published">Published: {{ getPublishedDate() }}</div>
            </div>
        </div>
        <transition name="fade" mode="out-in" >
            <div class="modal-overlay" v-show="showModal">
                <div class="modal-wrapper">
                    <div class="modal-container">

                        <div class="modal-header">
                            <span class="close" @click="showModal = false">&#215;</span>
                        </div>

                        <div class="modal-body">
                            <div class="modal-title" >
                                by {{ article.author }} &#xb7; {{ getPublishedDate() }}
                            </div>
                            <div class="modal-image">
                                <img :src="article.urlToImage" />
                            </div>
                            <div class="modal-sub-title" @click="visitSite(article.url)">
                                {{ article.title }}
                            </div>
                            <div class="modal-content">
                                <p>{{ article.content }}</p>
                                <span>Source: {{ article.source.name }}</span>
                            </div>
                        </div>

                        
                    </div>
                </div>
            </div>
        </transition>
    </div>
</template>

<style>
    @import './styles.css'
</style>

<script src="./script.js"></script>